@charset "utf-8";

/* =====================================================
/* root
===================================================== */
:root {
  --color-brand: #00a9c8;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-gray: #f7f7f7;
  --color-dark-gray: #888888;
  --color-navy: #003a57;
  --color-yellow: #ffeb31;
  --color-orange: #ee713a;
  --color-light-orange: #ffc8b1;
  --color-red: #d63638;
  --color-green: #15879e;
  --color-turquoise-blue: #2eb6aa;
}

/* =====================================================
/* flex
===================================================== */
.flex {
  display: flex;
  align-items: center;
  gap: 30px;

  &:first-of-type {
    margin-block-start: 0 !important;
  }

  &:nth-of-type(n + 1) {
    margin-block-start: 15px;
  }
}

@media screen and (width <=768px) {
  .flex {
    gap: 20px;
    flex-direction: column;
  }
}

/* =====================================================
/* flex_box
===================================================== */
.flex_box {
  display: flex;
  flex-wrap: wrap;
  inline-size: calc(100% / 2 - 15px);

  & input {
    inline-size: 100%;
  }
}

@media screen and (width <=768px) {
  .flex_box {
    inline-size: 100%;

    & input {
      inline-size: 100%;
    }
  }
}

/* =====================================================
/* flex-row
===================================================== */
.flex-row {
  flex-direction: row;
}

/* =====================================================
/* placeholder
===================================================== */
::placeholder {
  color: var(--color-dark-gray);
  font-size: 13px;
}

/* =====================================================
/* small
===================================================== */
small {
  font-size: 12px;
  margin-block-start: 10px;
}

/* =====================================================
/* borderNone
===================================================== */
.borderNone {
  border: none !important;
}

/* =====================================================
/* input
===================================================== */
input {
  inline-size: 100%;
  block-size: 50px;
  padding: 5px 10px;
  border: solid 1px var(--color-dark-gray);
  border-radius: 5px;

  &:focus-visible {
    caret-color: var(--color-black);
    background-color: var(--color-focus-bg);
    outline: 2px solid var(--color-focus-outline);
  }
}

@media screen and (width <=768px) {
  input {
    inline-size: 100%;
  }
}

/* =====================================================
/* customRadio
===================================================== */
.customRadio {
  border: none;
  inline-size: 100%;

  & label {
    position: relative;
    display: flex;
    align-items: center;
    gap: 0 0.5rem;
    max-inline-size: 100%;
    padding: 0.5rem;
    border: 1px solid var(--color-dark-gray);
    border-radius: 3px;
    background-color: var(--color-light-blue);
    cursor: pointer;
    font-size: 13px;

    &::before {
      border-radius: 50%;
      content: "";
      inline-size: 20px;
      block-size: 20px;
      background-color: var(--color-white);
      border: 1px solid var(--color-dark-gray);
    }

    &:has(:checked) {
      background-color: var(--color-green);
      color: var(--color-white);

      &::after {
        position: absolute;
        top: 50%;
        left: 23px;
        transform: translate(-10px, -50%);
        inline-size: 10px;
        block-size: 10px;
        background-color: var(--color-green);
        border-radius: 50%;
        content: "";
      }
    }
  }

  & input {
    display: none;
  }
}

/* =====================================================
/* selectBox
===================================================== */
.selectBox {
  position: relative;
  inline-size: 100%;

  &::before,
  &::after {
    position: absolute;
    content: "";
    pointer-events: none;
  }

  &::before {
    display: inline-block;
    right: 0;
    inline-size: 30px;
    block-size: 50px;
    border-radius: 0 3px 3px 0;
    background-color: var(--color-green);
  }

  &::after {
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translate(50%, -50%) rotate(45deg);
    inline-size: 10px;
    block-size: 10px;
    border-block-end: 3px solid var(--color-white);
    border-inline-end: 3px solid var(--color-white);
  }

  & select {
    appearance: none;
    inline-size: 100%;
    block-size: 50px;
    padding: 5px;
    border: solid 1px var(--color-dark-gray);
    border-radius: 5px;
    cursor: pointer;
    overflow: hidden;

    &:focus {
      background: var(--color-focus-bg);
      outline: 2px solid var(--color-theme-color);
    }
  }
}

@media screen and (width <=768px) {
  .selectBox {
    position: relative;

    &::before {
      inline-size: 40px;
    }

    & select {
      padding: 5px;
    }
  }
}

/* =====================================================
/* Flatpickr
===================================================== */
.flatpickr-day.sunday,
.flatpickr-weekday.sunday {
  color: var(--color-red);
}

.flatpickr-day.saturday,
.flatpickr-weekday.saturday {
  color: var(--color-blue);
}

.flatpickr-day.holiday {
  color: var(--color-red);
  background: var(--color-beige);
}

/* =====================================================
/* conversion
===================================================== */
.conversion {
  inline-size: 100%;
  display: grid;
  place-items: center;
  padding-block-start: 30px;

  & button[type="submit"] {
    inline-size: 100%;
    padding: 10px;
    border-radius: 5px;
    color: var(--color-white);
    background-color: var(--color-green);
    font-weight: bold;
    border: none;
    cursor: pointer;

    &:hover {
      opacity: 0.8;
      transition: 0.3s;
    }
  }

  & button[name="back"] {
    inline-size: 100%;
    padding: 10px;
    border-radius: 5px;
    color: var(--color-white);
    background-color: var(--color-dark-gray);
    font-weight: bold;
    border: none;
    cursor: pointer;
    margin-block-start: 25px;

    &:hover {
      opacity: 0.8;
      transition: 0.3s;
    }
  }
}

@media screen and (width <=768px) {
  .conversion {
    padding-block-start: 15px;

    & button[type="submit"] {
      inline-size: 100%;
      font-size: 16px;
    }

    & button[name="back"] {
      inline-size: 100%;
      font-size: 16px;
    }
  }
}

/* =====================================================
/* notes
===================================================== */
.notes {
  padding: 5px;
  font-size: 24px;
  font-weight: bold;
  color: var(--color-white);
  background: var(--color-green);
  border-radius: 3px 3px 0 0;
  position: relative;
  transition-duration: 0.2s;
  cursor: pointer;
  text-align: center;
}

.notes-details {
  border: 2px solid var(--color-green);

  & a {
    text-decoration: underline;
  }

  & ul {
    padding: 10px;

    & li {
      font-size: 16px;
      list-style: none;
      padding-block-end: 10px;
    }
  }
}

@media screen and (width <=768px) {
  .notes {
    font-size: 20px;
  }

  .notes-details {
    & ul {
      & li {
        font-size: 13px;
      }
    }
  }
}

/* =====================================================
/* headingLevel-03
===================================================== */
.headingLevel-03 {
  line-height: 1;
  font-size: 22px;
  font-weight: bold;
  border-bottom: 3px solid var(--color-black);

  & span {
    position: relative;
    display: inline-block;
    padding: 0 0 10px;

    &::before {
      content: "";
      position: absolute;
      bottom: -3px;
      left: 0;
      inline-size: 100%;
      block-size: 3px;
      background-color: var(--color-brand);
    }
  }
}

@media screen and (width <=768px) {
  .headingLevel-03 {
    font-size: 20px;
    line-height: 1.2;
  }
}

/* =====================================================
/* headingLevel-04
===================================================== */
.headingLevel-04 {
  font-size: 18px;
}

@media screen and (width <=768px) {
  .headingLevel-04 {
    font-size: 16px;
    margin-block-end: 10px;
  }
}

/* =====================================================
/* indent
===================================================== */
.indent {
  text-indent: -1em;
  padding-inline-start: 1em;
}

/* =====================================================
/* footer
===================================================== */
footer {
  display: grid;
  place-items: center;
  padding: 15px;

  & small {
    margin-block-start: 0;
  }
}

/* =====================================================
/* require
===================================================== */
.require {
  display: inline-block;
  color: var(--color-white);
  background: var(--color-green);
  font-size: 12px;
  padding: 0 10px;
  margin-inline-start: 10px;
}

/* =====================================================
/* annotation
===================================================== */
.annotation {
  font-size: 12px;
  color: var(--color-red);
}
